Fold Holdings, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/fold-holdings-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1762387200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.foldapp.com/news-releases/news-release-details/fold-holdings-inc-nasdaq-fld-announces-third-quarter-2025",
    "holding_balance": 1526.0,
    "holding_net_change": 34.0,
    "transaction_value_usd": 3442704.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1889123/000119312526110668/fld-ex99_1.htm",
    "holding_balance": 1527.0,
    "holding_net_change": 1.0,
    "transaction_value_usd": 87491.28,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1773705600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1889123/000119312526110668/fld-ex99_1.htm",
    "holding_balance": 827.0,
    "holding_net_change": -700.0,
    "transaction_value_usd": 51744644.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    827.0
  ],
  [
    1787011200000,
    827.0
  ],
  [
    1787097600000,
    827.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    51957052.38
  ],
  [
    1787011200000,
    53337414.62
  ],
  [
    1787097600000,
    53500573.45
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.465,
    "date": "2026-08-14",
    "high": 0.49,
    "open": 0.49,
    "close": 0.474,
    "volume": 31800
  },
  {
    "low": 0.451,
    "date": "2026-08-17",
    "high": 0.47,
    "open": 0.455,
    "close": 0.455,
    "volume": 93600
  },
  {
    "low": 0.4484,
    "date": "2026-08-18",
    "high": 0.468,
    "open": 0.4599,
    "close": 0.45,
    "volume": 105421
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.16,
  "quarterly_earnings_growth": 16.223,
  "eps_estimate_current_quarter": -0.16
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 11.19,
  "six_month_return": -69.39,
  "three_month_return": -63.71
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/fold-holdings-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 213.5,
  "total_btc_percentage": 0.004,
  "share_price_change_state": "down"
}